function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"2",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(8128);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)
	
	if sender==16 then
	   BlockCursor(false);
	   if not help then
			help=true;
			CreateWindow(200,200,"2",100,"messageinfo")
		end;		   
	return;end;
	if sender==30 then
		setcurentleaf("mother_room",18,0);
		DarkScreen(false);
		if flags.minicomplete1 then
		    flags.minitext1=true;

		return;end;
	return; end;
	if sender==36 then
	if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("mother_room");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete1=true;
		playeffect("miniC");	
		speciale_action(2,1009,true);
		StartTimer(2100,2);
		BlockCursor(true);
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"2",100,"messageinfo")
		return;end;		
		if id==5000 and skipping then
		if not flags.minicomplete1 then
			playeffect("skip");
			for i=1001,1007,1 do
				if not temp[i] then
					speciale_action(2,i+12);
					temp[i]=true;
					setcolor(i,0.6,0.6,0.6,1);
					step=step+1;
					if step==8 then 
						finish_mini_game(true); 
					return;end;
				end;			
			end;
			return;end;
		return;end;
		
		if id==1000 then
		if not flags.minicomplete1 then
			playeffect("close");
			finish_mini_game(false);
			clear_satelite_leaf("mother_room");
			DeleteResource("am1_btn");
			DeleteResource("am1_houses");
			DeleteResource("am1_signs");
			DeleteResource("am1_bg");
		return;end;
		return;end;
		
		if id>=1001 and id<=1007 then
		if not flags.minicomplete1 then
			if not temp[id] then
				playeffect("pencil");	
				speciale_action(2,id+12);
				temp[id]=true;
				setcolor(id,0.6,0.6,0.6,1);
				step=step+1;
				if step==8 then 
					finish_mini_game(true); 
				return;end;
			return;end;
		return;end;	
		return;end;	
	return;end;
end;
function mini_delete ()

end;